<template name="Editor">
  {{#if image}}
    {{> EditorDrawing}}
  {{/if}}
</template>

<template name="EditorDrawing">
  <p class="tools">
    {{> EditorActionButton operation="new" icon="file-o"}}
    {{> EditorActionButton operation="previous" icon="step-backward"}}
    {{> EditorActionButton operation="next" icon="step-forward"}}
    {{> EditorActionButton operation="latest" icon="fast-forward"}}
    {{> EditorActionButton operation="save" icon="floppy-o"}}
    {{> EditorToolButton name="resize" icon="mouse-pointer"}}
    {{> EditorToolButton name="drag" icon="arrows"}}
    {{> EditorToolButton name="rectangle" icon="square-o"}}
    {{> EditorToolButton name="polygon" icon="star-o"}}
    {{> EditorToolButton name="line" icon="minus"}}
    {{> EditorToolButton name="remove" icon="trash"}}
    {{> EditorToolButton name="identify" icon="list-ol"}}
    {{> EditorActionButton operation="exportImage" icon="download"}}
    {{> EditorToolButton name="history" icon="clock-o"}}
    <span id="history">
      <span>Jump to </span>
      <select data-action="navigate-to">
        {{#if routeHasTimestamp}}
          <option value=""></option>
        {{else}}
          <option value="" selected></option>
        {{/if}}
        {{#each history}}
          {{#if isCurrentTimeStamp this}}
            <option value="{{ this }}" selected>
              {{ formattedDate this }}
            </option>
          {{else}}
            <option value="{{ this }}">
              {{ formattedDate this }}
            </option>
          {{/if}}
        {{/each}}
      </select>
    </span>
    {{#if toolIsActive 'polygon'}}
      <span><i class="fa fa-info"></i> Press enter to finish drawing</span>
    {{/if}}
  </p>
  <div id="drawing">
    <p>
      <img id="drawing-background" src="{{ image.link }}" alt="{{ image.name }}">
    </p>
  </div>
</template>

<template name="EditorToolButton">
  <button
    class="{{#if toolIsActive name}}active{{/if}}"
    data-drawing-action="toggle-tool"
    data-tool='{{ name }}'>
    <i class="fa fa-{{ icon }}"></i>
  </button>
</template>

<template name="EditorActionButton">
  <button data-action="execute" data-operation="{{ operation }}">
    <i class="fa fa-{{ icon }}"></i>
  </button>
</template>
